#!/bin/bash


if [[ ! $# = 1 ]]
then
   echo "Usage: myqsub.sh dim ...";
   exit 1;
fi

dim=$1

runs=25
for ((run = 1; $run <= $runs; run++))
do
    command="-f 1 -F 19 -r $run -d $dim"
    program=$(basename $PWD)
    qsubfile="tmp/${program}r${run}d${dim}.sh"

cat <<EOF >$qsubfile
#!/bin/bash

./bin/gade $command

EOF

chmod 755 $qsubfile
qsub -cwd -j y $qsubfile
sleep 1

done

